#include <SDU.h> 

const byte ledPin = LED_BUILTIN;
const byte interruptPin = A1;
volatile byte state = LOW;

void setup() {
  
  Serial.begin(9600);
  Serial.println("Initializing Interrupt...");

  pinMode(ledPin, OUTPUT);
  pinMode(interruptPin, INPUT_PULLUP);
  attachInterrupt(digitalPinToInterrupt(interruptPin), blink, CHANGE);
}

void loop() {
  digitalWrite(ledPin, state);
}

void blink() {
  state = !state;
  if (digitalRead(interruptPin) == LOW) {
    Serial.println("Interruption LOW... Arduino power down"); 
  }
  else {
    Serial.println("Interruption HIGH...  Arduino power up");     
  }
}


